<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.GjjTallyAddBean" />

    </data>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <com.mcxtzhang.swipemenulib.SwipeMenuLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="15dp"
                    android:layout_marginVertical="5dp"
                    android:background="@drawable/bg_item"
                    android:orientation="vertical"
                    android:padding="10dp">

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1.2"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="80dp"
                                android:layout_height="wrap_content"
                                android:text="运单号：" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text='@{bean.handoverRecordBean.waybillCode ?? ""}'
                                android:textColor="@color/colorPrimary" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="80dp"
                                android:layout_height="wrap_content"
                                android:text="航班：" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text='@{bean.handoverRecordBean.fno ?? ""}' />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="80dp"
                                android:layout_height="wrap_content"
                                android:text="始发站：" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text='@{bean.handoverRecordBean.origin ?? ""}' />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="80dp"
                                android:layout_height="wrap_content"
                                android:text="代理：" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text='@{bean.handoverRecordBean.agent ?? ""}' />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="80dp"
                                android:layout_height="wrap_content"
                                android:text="品名：" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text='@{bean.handoverRecordBean.goods ?? ""}' />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp">

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1.2"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="80dp"
                                android:layout_height="wrap_content"
                                android:text="件数：" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text='@{bean.handoverRecordBean.pc ?? ""}' />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="80dp"
                                android:layout_height="wrap_content"
                                android:text="重量：" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text='@{bean.handoverRecordBean.weight ?? ""}' />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="80dp"
                                android:layout_height="wrap_content"
                                android:text="特码：" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text='@{bean.handoverRecordBean.spCode ?? ""}' />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="80dp"
                                android:layout_height="wrap_content"
                                android:text="业务类型：" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text='@{bean.handoverRecordBean.businessType ?? ""}' />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="80dp"
                                android:layout_height="wrap_content"
                                android:text="航班日期：" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text='@{bean.handoverRecordBean.fdate ?? ""}' />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <ImageView
                        android:id="@+id/iv_show"
                        android:layout_width="match_parent"
                        android:layout_height="20dp"
                        android:layout_marginTop="10dp"
                        android:padding="5dp"
                        android:src="@mipmap/img_down" />

                </androidx.appcompat.widget.LinearLayoutCompat>

            </FrameLayout>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="wrap_content"
                android:layout_height="match_parent">

                <TextView
                    android:id="@+id/tv_batch"
                    style="@style/tv_item_action"
                    android:background="#8313ef"
                    android:text="分批" />

                <TextView
                    android:id="@+id/tv_delete_order"
                    style="@style/tv_item_action"
                    android:background="#df253c"
                    android:text="删单" />

                <TextView
                    android:id="@+id/tv_delete_matter"
                    style="@style/tv_item_action"
                    android:background="#aaaaaa"
                    android:text="删件" />
            </androidx.appcompat.widget.LinearLayoutCompat>
        </com.mcxtzhang.swipemenulib.SwipeMenuLayout>

        <TextView
            visible="@{bean.show}"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:text="件号"
            android:textColor="#333"
            android:textSize="18sp"
            android:textStyle="bold" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv"
            visible="@{bean.show}"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="10dp"
            android:background="#caf982"
            app:layoutManager="androidx.recyclerview.widget.GridLayoutManager"
            app:spanCount="15"
            tools:listitem="@layout/item_tally_add_j" />

    </androidx.appcompat.widget.LinearLayoutCompat>

</layout>